#version 310 es

precision mediump float;        // Set the default precision to medium. We don't need as high of a
                                // precision in the fragment shader.

in vec3 v_texCoords;
out vec4 fragColor;

uniform samplerCube base;
uniform samplerCube lightMask;
uniform sampler2D lightLevel;
uniform float roomLightFactor;
uniform float screenLightFactor;
uniform float alpha;

void main()
{
    fragColor = vec4(
        // base/ambient color
        texture(base, v_texCoords).rgb * roomLightFactor

        // dynamic lighting
        + texture(lightMask, v_texCoords).rgb
        * textureLod(lightLevel, vec2(0.5, 0.5), 100.0).rgb
        * screenLightFactor

        // debug - put the texture on the walls too
        // + texture(lightLevel, v_texCoords.yz)

        // debug - put the reduced texture on the ceiling
        // + textureLod(lightLevel, v_texCoords.xz, 5.0)

        // debug - display the generated texture coordinates
        // + vec4(v_texCoords,1)

        , alpha)
    ;

}
