#version 310 es

#extension GL_OES_EGL_image_external_essl3 : require

precision mediump float;        // Set the default precision to medium. We don't need as high of a
                                // precision in the fragment shader.

// make sure to use samplerExternalOES instead of sampler2D
uniform samplerExternalOES u_Texture;    // The input texture.
uniform float u_alpha;

in vec2 v_TexCoordinate;   // Interpolated texture coordinate per fragment.
out vec4 fragColor;

// The entry point for our fragment shader.
void main()
{
    vec4 baseColor = texture(u_Texture, v_TexCoordinate);
    baseColor.a = min(u_alpha, baseColor.a);
    fragColor = baseColor;
}
