#version 310 es

layout(location = 0) in vec3 a_Position;      // Per-vertex position information we will pass in.
layout(location = 1) in vec2 a_TexCoordinate; // Per-vertex texture coordinate information we will pass in.

uniform mat4 u_MVPMatrix;       // A constant representing the combined model/view/projection matrix.

out vec2 v_TexCoordinate;   // This will be passed into the fragment shader.

// The entry point for our vertex shader.
void main()
{
    // Pass through the texture coordinate.
    v_TexCoordinate = a_TexCoordinate;

    // gl_Position is a special variable used to store the final position.
    // Multiply the vertex by the matrix to get the final point in normalized screen coordinates.
    gl_Position = u_MVPMatrix * vec4(a_Position, 1.0);
}
